View Issue Details

IDProjectCategoryView StatusLast Update
0021897mantisbtuipublic2017-02-05 05:11
ReporterChris_Z 
Assigned Tosyncguru 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.0-beta.3 
Target Version2.2.0Fixed in Version2.2.0 
Summary0021897: Unaligned color coding of status
Description

In modern-ui the color coded Status fields are very small so in order to improve visual ergonomics it usually makes sense to use more saturated colors (instead of slightly washed out defaults which look better on large areas where they act as the background for text), but by doing that we can now clearly see the misalignment of colored rectangle and its surrounding box.

Please see the attached screenshot and focus on the red and grey fields.

Steps To Reproduce

Set the $g_status_colors array to dark, saturated colors.

TagsNo tags attached.

Relationships

related to 0021724 assignedsyncguru Visibility of status colors 

Activities

Chris_Z

Chris_Z

2016-11-11 06:27

reporter  

dregad

dregad

2016-11-11 10:41

developer   ~0054508

@syncguru I vaguely remember discussing this very topic with you a while back, and if memory serves you made some adjustments to reduce this behavior but couldn't fix it completely as it depends on rendering by the browser, and depends on zoom level too. Unfortunately I can't find the thread anymore.

Hopefully you have an idea of how to address this.

syncguru

syncguru

2017-01-11 01:43

developer   ~0055043

That's interesting observation. I recall seeing something similar but did not think of the selection of color causing it. Let me dig some more.

syncguru

syncguru

2017-01-29 21:21

developer   ~0055388

@Chris_Z check out the pull request below, it should fix this issue as well
PR: https://github.com/mantisbt/mantisbt/pull/1012

Chris_Z

Chris_Z

2017-01-30 08:20

reporter   ~0055394

@syncguru Yes, it is easier now without high contrast black frames.

I highlighted which color pairs looked the same to me on the first eye sight.

One thing to take into account is that the background color/luminosity is alternating on the each second row so each color marker is slightly affected by this.
Can we have it configurable: i.e. either your proposal or full row height?



Related Changesets

MantisBT: master 7ba24586

2017-01-29 21:07:40

syncguru


Committer: dregad Details Diff
Enlarge status color box & remove black frame

Fixes 0021897 and improves visibility of status color (issue 0021724).
mod - bug_view_inc.php Diff File
mod - core/bug_group_action_api.php Diff File
mod - core/columns_api.php Diff File
mod - core/custom_function_api.php Diff File
mod - core/relationship_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - css/status_config.php Diff File
mod - my_view_inc.php Diff File

Issue History

Date Modified Username Field Change
2016-11-11 06:27 Chris_Z New Issue
2016-11-11 06:27 Chris_Z File Added: Snapshot-2016-11-11-121307.png
2016-11-11 10:41 dregad Status new => confirmed
2016-11-11 10:41 dregad Note Added: 0054508
2016-11-13 11:03 atrol Relationship added related to 0021724
2017-01-11 01:43 syncguru Note Added: 0055043
2017-01-29 21:21 syncguru Note Added: 0055388
2017-01-29 21:21 syncguru Assigned To => syncguru
2017-01-29 21:21 syncguru Status confirmed => assigned
2017-01-30 08:20 Chris_Z File Added: Snapshot-2017-01-30-133046.png
2017-01-30 08:20 Chris_Z Note Added: 0055394
2017-02-05 04:52 dregad Changeset attached => MantisBT master 7ba24586
2017-02-05 04:52 dregad Assigned To syncguru => dregad
2017-02-05 04:52 dregad Status assigned => resolved
2017-02-05 04:52 dregad Resolution open => fixed
2017-02-05 04:52 dregad Fixed in Version => 2.2.0
2017-02-05 05:11 atrol Assigned To dregad => syncguru
2017-02-05 05:11 atrol Target Version => 2.2.0